/*
 * STATDLL.C -- Custom control dynamic link library
 */

#include <windows.h>
#include "newstat.h"
#include "statdll.h"

int FAR PASCAL LibMain( HANDLE hInstance,WORD wDataSegment,
			  WORD wHeapSize,LPSTR lpszCmdLine)
{
    WNDCLASS wndclass ;

    if (wHeapSize != 0)
       UnlockData(0);

    /* The only requirement is to register the NewStat class	       */

    wndclass.style	   = CS_HREDRAW | CS_VREDRAW | CS_GLOBALCLASS;
    wndclass.lpfnWndProc   = StaticWndFn;
    wndclass.cbClsExtra    = 0;
    wndclass.cbWndExtra    = ST_WINEXTRA;
    wndclass.hInstance	   = hInstance;
    wndclass.hIcon	   = NULL;
    wndclass.hCursor	   = LoadCursor (NULL,IDC_ARROW);
    wndclass.hbrBackground = NULL;
    wndclass.lpszMenuName  = NULL;
    wndclass.lpszClassName = "NewStat";

    RegisterClass (&wndclass);

    return 1;	/* Indicate that the DLL was initialized successfully. */
}

int FAR PASCAL WEP(int bSystemExit)
{
    return 1;
}
