/*
 * TOOLBAR.H -- Tool bar custom control header file
 */

#define TB_TOOLBAR    (WM_USER + 0x0BC0)		   /* Messages */
#define TB_CLICKED    (WM_USER + 0x0BC1)
#define TB_SETSELECT  (WM_USER + 0x0BC2)
#define TB_GETSELECT  (WM_USER + 0x0BC3)

/* Tool Bar access macros ............................................ */

#define TB_WINEXTRA	4

#define TB_STATE	0
#define TB_BITMAP	2

#define GET_TBSTATE	      GetWindowWord((hwnd), TB_STATE)
#define SET_TBSTATE(x)	      SetWindowWord((hwnd), TB_STATE, (x))
#define GET_TBBITMAP	      GetWindowWord((hwnd), TB_BITMAP)
#define SET_TBBITMAP(hwnd, x) SetWindowWord((hwnd), TB_BITMAP, (x))

/* Function prototypes ............................................... */

LONG FAR PASCAL ToolBarWndFn	 ( HWND, WORD, WORD, LONG );
HWND FAR PASCAL CreateToolBar	 ( HANDLE  hInstance,
				   HWND    hWndApp,
				   DWORD   dwStyle,
				   int	   x,
				   int	   y,
				   int	   nXUnit,
				   int	   nYUnit,
				   int	   nHoriz,
				   int	   nVert,
				   int	   nborder,
				   LPSTR   lpTitle	  );

